Documents (SAPI)Acknowledge received document

Acknowledge received document

Potvrďte až po úspešnom uložení alebo spracovaní. Operácia je podľa V1 idempotentná.

curl -X POST "https://einvoice-v1-ynyiur6quq-ey.a.run.app/v1/sapi/document/receive/example_string/acknowledge" \
  -H "Content-Type: application/json" \
  -H "X-Peppol-Participant-Id: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
{
  "documentId": "example_string",
  "status": "ACKNOWLEDGED",
  "acknowledgedDateTime": "2024-12-25T10:00:00Z"
}
POST
/v1/sapi/document/receive/{documentId}/acknowledge
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

path
documentIdstring
Required

Identifikátor z documents[].documentId.

header
X-Peppol-Participant-Idstring
Required

Firma oprávnená na operáciu; pri odoslaní sa zhoduje s metadata.senderParticipantId.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Path Parameters

documentIdstring
Required

Identifikátor z documents[].documentId.

Headers

X-Peppol-Participant-Idstring
Required

Firma oprávnená na operáciu; pri odoslaní sa zhoduje s metadata.senderParticipantId.

Responses

documentIdstring
statusstring
Allowed values:ACKNOWLEDGED
acknowledgedDateTimestring